<?php
	//hent forbindelse til databsaen var connectionfilen
	include 'connection.php';
						
	//tjek om forbindelsen virker
	if (mysqli_connect_errno())
	{
		echo "Failed to connect to MySQL: " . mysqli_connect_error();
	}
?>						
<!DOCTYPE html>
<html>
	<head>
		<title>Pizza - static worked example</title>
		<!-- Meta tag der sikrer rendering og zoom -->  
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- Inkluderer jQuery Mobile stylesheets -->
		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.css">
		<!-- Inkluderer jQuery library -->  
		<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script> 
		<!-- Inkluderer jQuery Mobile library -->
		<script src="http://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
		<script>
			
			var bestilling = [];
			
			//Overordnet funktion der hndterer alle hndelser som brugeren foretager sig
			$(document).ready(function()
			{
				//Funktion der hndterer hvad der skal ske nr brugeren klikke p en pizza i menukortet
				$('a.pizzaLinks').click(function() {
					
					
					//Gemmer id fra det link der klikkes p
					var valgtPizza = $(this).attr('id');
					
					var n = valgtPizza.indexOf("-");
					var navn = valgtPizza.substring(n+1);
					var nr = valgtPizza.substring(0, n);
					
					//indstter navnet som listelement i bestillingslisten
					$( "ol" ).append( "<li>" + navn + "</li>" );
					
					bestilling.push(nr);
					document.getElementById('demo').value = bestilling.toString();
					
				});
				
				//Nr man trykker p bestiltknappen, bliver de valgte pizzaer sat som value i pizzaid elemenetet i bestillingsformularen
				$('#bestilknap').click(function () {
					document.getElementById('pizzaid').value = bestilling.toString();
				});	
				
			});
			
			
			
		</script>
	</head>
	
	<body>
		
		<!-- Div der fungerer som forside, dvs. det frste brugeren ser -->
		<div data-role="page" id="forside">  
			<div data-role="header">
				<h1>City Pizza</h1>
			</div>
			<div data-role="navbar">
				<ul>        
					<li><a href="#forside">Forside</a></li>       
					<li><a href="#menukort">Menu</a></li>       
					<li><a href="#omos">Om os</a></li>      
				</ul>    
			</div>  
			
			<div data-role="main" class="ui-content">    
				<p>Byens bedste pizza</p>
				<a href="#menukort" class="ui-btn">Menukort</a>
			</div>
			<div data-role="footer">   
				<h1>Gratis udbringning</h1>  
			</div>
		</div>
		
		<!-- Div der fungerer som menukort -->
		<div data-role="page" id="menukort">
			<div data-role="header">
				<h1>City Pizza</h1>
			</div>
			<div data-role="navbar">
				<ul>        
					<li><a href="#forside">Forside</a></li>       
					<li><a href="#menukort">Menu</a></li>       
					<li><a href="#omos">Om os</a></li>      
				</ul>     
			</div>  
			
			<div data-role="main" class="ui-content">
				<div id="kurv">
					<h2>Din bestilling:</h2>
					<ol>
						<!-- Her indsttes de pizzaer man vlger -->
					</ol>
					<a id="bestilknap" href="#bestilling" class="ui-btn">Bestil pizza</a>
					<hr>
				</div>
				<p>Klik p en pizza for at tilfje den til kurven</p>
					<?php
					  
						//resultatet af sql query (et array) bliver gemt i variablen result. con er connection hentet fra connection.php  
						$result = mysqli_query($con,"SELECT * FROM pizza");
						  
						echo "<ul data-role='listview' data-inset='true'>";
						  
						//S lnge der er rkker fra databasen i $result variablen skrives der pizzaer i menukortet  
						while($row = mysqli_fetch_array($result))
						{
							echo "<li>
							<a href='#' id='". $row['nr'] . "-" . $row['navn'] . "' class='pizzaLinks'>
							<img src='" . $row['billede'] . "'>
							<h2>" . $row['nr'] . " - " . $row['navn'] . " kr. " . $row['pris'] . "</h2>
							<p>" . $row['beskrivelse'] . "</p>
							</a>
							</li>";
						}						
					  
						mysqli_close($con);
					?>		 
			</div>
			<div data-role="footer">   
				<h1>Gratis udbringning</h1>  
			</div>
		</div>
		
		<!-- Div der fungerer som bestillingsside-->
		<div data-role="page" id="bestilling">
			<div data-role="header">
				<h1>City Pizza</h1>
			</div>
			<div data-role="navbar">
				<ul>        
					<li><a href="index.html">Forside</a></li>       
					<li><a href="#menukort">Menu</a></li>       
					<li><a href="#omos">Om os</a></li>      
				</ul>    
			</div>  
			
			<div data-role="main" class="ui-content">
				<div id="kurv">
					<h2>Din bestilling:</h2>
					<ol>
						<!-- Her indsttes de pizzaer man vlger -->
					</ol>
					<hr>
				</div>
				<div>
					<form data-ajax="false" action="bestil.php" id="bestillingsform" method="post">
						<!-- pizzaid fr sin vrdi fra en jquery funktion der indlser de valgte pizzaer  -->
						<input type="hidden" name="pizzaid" id="pizzaid"/>
						<label for="fuldenavn">Fulde navn:</label>
						<input type="text" name="fuldenavn" id="fuldenavn" class="required">
						<label for="adresse">Adresse:</label>
						<input type="text" name="adresse" id="adresse" class="required">
						<label for="telefon">Telefon:</label>
						<input type="text" name="telefon" id="telefon" class="required">
						<label for="leveringsdato">Leveringsdato:</label>
						<input type="date" name="leveringsdato" id="leveringsdato" class="required">
						<label for="tidspunkt">Tidspunkt:</label>
						<input type="time" name="leveringstid" id="leveringstid" class="required">
						<label for="udbringning">Udbringning eller henter du selv</label>
							<select name="udbringning" id="udbringning" data-native-menu="false" class="required">
							  <option value="1">Udbringning</option>
							  <option value="2">Afhenter selv</option>
							</select>
							<br>
						<input type="submit" value="Bestil" id="bestillingfortaget">
					</form>
				</div>	 
			</div>
			<div data-role="footer">   
				<h1>Gratis udbringning</h1>  
			</div>
		</div>
		
		<!-- Div der fungerer som side der fortlle at ordren er foretaget -->
		<div data-role="page" id="tak">
			<div data-role="header">
				<h1>City Pizza</h1>
			</div>
			<div data-role="navbar">
				<ul>        
					<li><a href="#forside">Forside</a></li>       
					<li><a href="#menukort">Menu</a></li>       
					<li><a href="#omos">Om os</a></li>      
				</ul>    
			</div>  
			
			<div data-role="main" class="ui-content">
				<h1>Tak for din bestilling</h1>
				<p><b><i>Vi glder os til at se dig igen</i></b></p>
				
				<a href="#forside" class="ui-btn">Retur til forsiden</a>
		 
			</div>
			<div data-role="footer">   
				<h1>Gratis udbringning</h1>  
			</div>
		</div>
		
		<!-- Div der fungerer som om os siden -->
		<div data-role="page" id="omos">  
			<div data-role="header">
				<h1>City Pizza</h1>
			</div>
			<div data-role="navbar">
				<ul>        
					<li><a href="#forside">Forside</a></li>       
					<li><a href="#menukort">Menu</a></li>       
					<li><a href="#omos">Om os</a></li>      
				</ul>    
			</div>  
			
			<div data-role="main" class="ui-content">    
				<h2>Byen bedste pizza</h2>
				<p>City Pizza har eksisteret siden 2008 og har siden leveret de bedste og sprdeste pizzaer</p>
				<p>Adresse - Boulevarden 48, 7100 Vejle</p>
				<p>Telefon - 2020 2020</p>
				
			</div>
			<div data-role="footer">   
				<h1>Gratis udbringning</h1>  
			</div>
		</div>
		
	</body>
</html>
